For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference
    • Introduction
      • GETPing
LogoLogo
ReferenceService Status

Ping

GET
/ping
GET
/ping
$curl https://global-api-sandbox.afterpay.com/ping \
> -H "User-Agent: User-Agent"
1"pong"
This endpoint can be used to check that the service is available and reachable. Unlike all other endpoints, this endpoint does not require authentication, and responds with `text/plain` instead of `application/json`. **Connection Timeouts** | Timeout | Time (Seconds) | |---------|----------------| | Open | 10 | | Read | 20 |
Was this page helpful?
Previous

Capture Payment

Next
Built with

This endpoint can be used to check that the service is available and reachable.

Unlike all other endpoints, this endpoint does not require authentication, and responds with text/plain instead of application/json.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to text/plain

Response

Returns the string "pong"

Errors

405
Method Not Allowed Error